{#
/**
 * @file
 * Theme override for a breadcrumb trail.
 *
 * Available variables:
 * - breadcrumb: Breadcrumb trail items.
 */
#}
{{ attach_library('bootstrap_barrio/breadcrumb') }}
{% set parent_tax = parent_taxonomy_term %}
{% set parent_url = '/taxonomy/vocab/' ~ parent_taxonomy_term %}

{% if breadcrumb %}
  <nav role="navigation" aria-label="breadcrumb">
    <ol class="breadcrumb">
    {% for item in breadcrumb %}
      {% if item.url %}
        {% if item.text is iterable %}
          <li class="breadcrumb-item">
            <a href="{{ item.url }}">{{ item.text['#markup'] }}</a>
          </li>
        {% else %}
          {% if item.text|lower != "node" %}
            <li class="breadcrumb-item">
              <a href="{{ item.url }}">{{ item.text }}</a>
            </li>
          {% endif %}
          {% if item.text|lower == "home" %}
            {% if parent_tax is defined and parent_tax is not empty %}
              <li class="breadcrumb-item parent_taxonomy">
              <a href="{{ parent_url }}">{{ parent_tax }}</a>
              </li>
            {% endif %}
          {% endif %}
        {% endif %}
      {% else %}
        <li class="breadcrumb-item active">
          {{ item.text }}
        </li>
      {% endif %}
    {% endfor %}
    </ol>
  </nav>
{% endif %}
